Issue988

Title navigational dropdown links don't work on staging
Priority bug Status resolved
Project 2011 Website Update Milestone
Superseder Nosy List Greg, christopher, cwebber, lunpa, nkinkade, rejon
Assigned To rejon Keywords

Created on 2011-10-31.20:13:00 by lunpa, last changed 2013-01-31.19:25:53 by Greg.

Files
File name Uploaded Type Edit Remove
unnamed rejon, 2011-11-03.03:30:12 text/html
Messages
msg4044 (view) Author: Greg Date: 2013-01-31.19:25:52
This looks fixed to me. Closing.
msg3810 (view) Author: rejon Date: 2011-11-20.15:40:03
Oh, if that works, then its a solution. The reason for this is that
there are up to three competing jqueries on cc sites at a given
time...web devs love them some jqueries....this solution is to allow
jqueries to coexist.

The solution is to put after the jquery instantiation:

<script type="text/javascript">
    var j = $.noConflict();
</script>

###

It needs to be tested in the cc licensing stuff. If the current code
is working though, I would remove the comment that says its a hack in
the code and leave it.

Better to longer term trim down the code, but for now, should get
things to work.

Jon

On Sun, Nov 20, 2011 at 9:49 PM, Christopher Webber
<issues@creativecommons.org> wrote:
>
> Christopher Webber <cwebber@dustycloud.org> added the comment:
>
> Christopher:
>
> Yes that's exactly it.  Jonathan put that fix in place as a hack.  We figured
> there was some reason you had j as a variable all over the place that wasn't
> pointing to the jquery $ alias, and so we must have been missing some other script.
>
> Is this not true?  If not, maybe we should switch the script from j->$.
>
> _____________________________________________________
> Creative Commons Tracker <issues@creativecommons.org>
> <http://code.creativecommons.org/issues/issue988>
> _____________________________________________________
>
msg3809 (view) Author: cwebber Date: 2011-11-20.13:49:29
Christopher:

Yes that's exactly it.  Jonathan put that fix in place as a hack.  We figured
there was some reason you had j as a variable all over the place that wasn't
pointing to the jquery $ alias, and so we must have been missing some other script.

Is this not true?  If not, maybe we should switch the script from j->$.
msg3808 (view) Author: christopher Date: 2011-11-20.12:36:32
What browser are you using?

The dropdown menus are working in the CC License Chooser for me on the live site
and on staging. They are not working on cc.fabricatorz.com, which appears to be
missing this line:

  <script type="text/javascript">
j = $;
  </script>

But the live site and staging are working as expected, unless I'm missing something.
msg3786 (view) Author: rejon Date: 2011-11-17.03:48:03
Christopher, after I fix the stupid javascript bug, then I want you to look at
this bug. I will not get to this until I get on an airplane again more than
likely. If you want to fix either, feel free.
msg3723 (view) Author: nkinkade Date: 2011-11-04.21:31:36
Assigning this from Lunpa to rejon and reducing from urgent to bug since we have
a temporary fix in place.
msg3710 (view) Author: rejon Date: 2011-11-03.03:30:13
Great thanks analyzing more on my flight to sfo

jon@fabricatorz.com
http://fabricatorz.com
+1.415.830.3884
+86.187.1003.9974
On Nov 3, 2011 11:04 AM, "Jonathan Palecek" <issues@creativecommons.org>
wrote:
msg3706 (view) Author: lunpa Date: 2011-11-03.03:04:56
I have a quick fix running now, where I added a script that does "j=$;" before
the problem scripts load.  Works for now, but I'm leaving this ticket open since
this isn't a real solution.
msg3695 (view) Author: lunpa Date: 2011-11-01.18:33:22
rejon: hey, sorry I missed you.  I'm lurking about in the fabricatorz channel,
so whenever you're online next...
msg3694 (view) Author: lunpa Date: 2011-11-01.18:08:12
Also, pages in which this bug is present produce the following in the javascript
error console:

Error: j is not defined
Source File:
http://staging.creativecommons.org/wp-content/themes/creativecommons.org/js/script.js
Line: 6
msg3691 (view) Author: rejon Date: 2011-11-01.10:27:37
find me in irc tonite to get this resolved lunpa, that would be your
morning...need to make sure things are in sync and redirect around
christopher...thanks!
msg3681 (view) Author: rejon Date: 2011-11-01.01:50:04
Ok, find me in irc. Christiopher is on the road now for a week, so I'm backup...

Jon

On Tue, Nov 1, 2011 at 4:17 AM, Nathan Kinkade
<nkinkade@creativecommons.org> wrote:
> This is probably some javascript incompatibility.  Error console
> reveals "j is not defined".  Is the theme fully updated on staging?
> We've been having a number of similar issues on other sites.
>
msg3676 (view) Author: nkinkade Date: 2011-10-31.20:20:04
This is probably some javascript incompatibility.  Error console
reveals "j is not defined".  Is the theme fully updated on staging?
We've been having a number of similar issues on other sites.
msg3673 (view) Author: lunpa Date: 2011-10-31.20:12:59
On a cc.engine staging page (such as
http://staging.creativecommons.org/publicdomain/ ), the fancy navigational drop
down links don't show up as expected.  Instead, the navigational drop down links
just function as normal links.
History
Date User Action Args
2013-01-31 19:25:53Gregsetstatus: chatting -> resolved
nosy: + Greg
messages: + msg4044
2011-11-20 15:40:03rejonsetmessages: + msg3810
2011-11-20 13:49:30cwebbersetmessages: + msg3809
2011-11-20 12:36:33christophersetmessages: + msg3808
2011-11-17 03:48:04rejonsetmessages: + msg3786
2011-11-04 21:31:37nkinkadesetpriority: urgent -> bug
assignedto: lunpa -> rejon
messages: + msg3723
2011-11-03 03:30:14rejonsetfiles: + unnamed
messages: + msg3710
2011-11-03 03:04:56lunpasetmessages: + msg3706
2011-11-01 18:33:22lunpasetmessages: + msg3695
2011-11-01 18:08:12lunpasetmessages: + msg3694
2011-11-01 10:27:37rejonsetmessages: + msg3691
2011-11-01 01:50:04rejonsetmessages: + msg3681
2011-10-31 20:20:04nkinkadesetstatus: unread -> chatting
messages: + msg3676
2011-10-31 20:13:00lunpacreate